[arch-commits] Commit in weechat/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sat Jan 23 10:33:42 EST 2010


    Date: Saturday, January 23, 2010 @ 10:33:42
  Author: giovanni
Revision: 64953

Merged revisions 64951 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/weechat/trunk

........
  r64951 | giovanni | 2010-01-23 16:31:58 +0100 (sab, 23 gen 2010) | 2 lines
  
  upgpkg: weechat 0.3.1-1
      upstream release
........

Modified:
  weechat/repos/extra-x86_64/	(properties)
  weechat/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Property changes on: weechat/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /weechat/trunk:1-53441
   + /weechat/trunk:1-64952

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-23 15:32:39 UTC (rev 64952)
+++ extra-x86_64/PKGBUILD	2010-01-23 15:33:42 UTC (rev 64953)
@@ -3,25 +3,26 @@
 # Contributor: lucke <lucke at o2 dot pl>
 
 pkgname=weechat
-pkgver=0.3.0
-pkgrel=3
+pkgver=0.3.1
+pkgrel=1
 pkgdesc="Fast, light and extensible IRC client (curses UI)"
 arch=('i686' 'x86_64')
 url="http://www.weechat.org/"
 license=('GPL')
-depends=('gnutls>=2.6.4' 'aspell' 'tcl')
-makedepends=('pkgconfig' 'perl>=5.10.1-3' 'python>=2.6' 'lua')
-optdepends=('perl>=5.10.1-3' 'python>=2.6' 'lua')
-source=(http://www.weechat.org/files/src/$pkgname-$pkgver.tar.bz2)
+depends=('gnutls' 'aspell' 'tcl')
+makedepends=('pkgconfig' 'perl' 'python' 'lua')
+optdepends=('perl' 'python' 'lua')
+source=(http://www.weechat.org/files/src/${pkgname}-${pkgver}.tar.bz2)
 options=(!libtool)
-md5sums=('c31cfc229e964ff9257cc9c7f9e6c9bc')
+md5sums=('517621c6e7904f5fccbdeaca27f4b63d')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+
   ./configure --prefix=/usr \
-              --includedir=${pkgdir}/usr/include
+              --includedir=${pkgdir}/usr/include \
               --disable-ruby \
               --with-debug=0 LDFLAGS="-lm -ldl"
   make || return 1
-  make DESTDIR=${pkgdir} install
+  make DESTDIR="${pkgdir}/" install || return 1
 }



More information about the arch-commits mailing list